Search plugins need to be updated for browser.search.modernConfig=true

Bug #1885743 reported by Olivier Tilloy on 2020-06-30
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
High
Olivier Tilloy

Bug Description

In firefox 78.0, the browser.search.modernConfig setting defaults to true, and as a result the custom definitions installed in /usr/lib/firefox/distribution/searchplugins/locale/ by langpacks are not loaded.

The upstream meta-bug that tracks this new modern search engine configuration is https://bugzilla.mozilla.org/show_bug.cgi?id=1542235.

The setting can be reverted back to false for the 78.0 builds, but eventually the setting will go away (https://bugzilla.mozilla.org/show_bug.cgi?id=1619926), so the custom definitions need to be updated.

Relevant upstream documentation: https://firefox-source-docs.mozilla.org/toolkit/search/index.html

Olivier Tilloy (osomon) wrote :

Temporarily reverted the setting to false for 78.0: https://bazaar.launchpad.net/~mozillateam/firefox/firefox.groovy/revision/1405

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 78.0+build2-0ubuntu3

---------------
firefox (78.0+build2-0ubuntu3) groovy; urgency=medium

  * Temporarily revert the switch to the modern search configuration in Firefox
    78.0 until the search plugins have been updated (LP: #1885743)
    - debian/vendor-firefox.js

 -- Olivier Tilloy <email address hidden> Tue, 30 Jun 2020 17:56:44 +0200

Changed in firefox (Ubuntu):
status: Triaged → Fix Released
Olivier Tilloy (osomon) wrote :

Not really fixed, just worked around for now.

Changed in firefox (Ubuntu):
status: Fix Released → Triaged
Olivier Tilloy (osomon) on 2020-07-02
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 78.0.1+build1-0ubuntu0.20.04.1

---------------
firefox (78.0.1+build1-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream stable release (78.0.1+build1)

  * Undo the previous revert as the value for the search configuration setting
    has been reverted upstream (https://bugzilla.mozilla.org/1649558)
    - debian/vendor-firefox.js

 -- Olivier Tilloy <email address hidden> Wed, 01 Jul 2020 10:30:42 +0200

Changed in firefox (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 78.0.1+build1-0ubuntu0.19.10.1

---------------
firefox (78.0.1+build1-0ubuntu0.19.10.1) eoan; urgency=medium

  * New upstream stable release (78.0.1+build1)

  * Undo the previous revert as the value for the search configuration setting
    has been reverted upstream (https://bugzilla.mozilla.org/1649558)
    - debian/vendor-firefox.js

 -- Olivier Tilloy <email address hidden> Wed, 01 Jul 2020 10:27:53 +0200

Changed in firefox (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 78.0.1+build1-0ubuntu0.18.04.1

---------------
firefox (78.0.1+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (78.0.1+build1)

  * Undo the previous revert as the value for the search configuration setting
    has been reverted upstream (https://bugzilla.mozilla.org/1649558)
    - debian/vendor-firefox.js

 -- Olivier Tilloy <email address hidden> Wed, 01 Jul 2020 10:24:57 +0200

Changed in firefox (Ubuntu):
status: Triaged → Fix Released
Olivier Tilloy (osomon) on 2020-07-02
Changed in firefox (Ubuntu):
status: Fix Released → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 78.0.1+build1-0ubuntu0.16.04.1

---------------
firefox (78.0.1+build1-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream stable release (78.0.1+build1)

  * Undo the previous revert as the value for the search configuration setting
    has been reverted upstream (https://bugzilla.mozilla.org/1649558)
    - debian/vendor-firefox.js

 -- Olivier Tilloy <email address hidden> Wed, 01 Jul 2020 10:21:54 +0200

Changed in firefox (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 78.0.1+build1-0ubuntu0.18.04.1

---------------
firefox (78.0.1+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (78.0.1+build1)

  * Undo the previous revert as the value for the search configuration setting
    has been reverted upstream (https://bugzilla.mozilla.org/1649558)
    - debian/vendor-firefox.js

 -- Olivier Tilloy <email address hidden> Wed, 01 Jul 2020 10:24:57 +0200

Changed in firefox (Ubuntu):
status: Triaged → Fix Released
Olivier Tilloy (osomon) on 2020-07-02
Changed in firefox (Ubuntu):
status: Fix Released → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers